## pdsh 2.18

=== debian/changelog ===
pdsh (2.18-6) unstable; urgency=low

  * Make module loading code re-entrant (fixes assert in list.c)
    (closes: #573277)
  * Verify compliance with standards version 3.8.4

 -- Brian Pellin <bpellin@debian.org>  Mon, 22 Mar 2010 20:41:04 -0500

pdsh (2.18-5) unstable; urgency=low

  * Use system libtool instead of included one (closes: #560892)

 -- Brian Pellin <bpellin@debian.org>  Sat, 12 Dec 2009 21:22:56 -0600

pdsh (2.18-4) unstable; urgency=low

  * Correct documentation for /etc/pdsh/rcmd_default (closes: #549472)

 -- Brian Pellin <bpellin@debian.org>  Sat, 03 Oct 2009 12:10:48 -0500

pdsh (2.18-3) unstable; urgency=low

  * Respect /etc/pdsh/rcmd_default in rpdcp (closes: #548967)

 -- Brian Pellin <bpellin@debian.org>  Fri, 02 Oct 2009 20:38:44 -0500

pdsh (2.18-2) unstable; urgency=low

  * Switch pdcp.script and pdsh.script to /bin/bash due to bashisms.
    (closes: #530159)
  * Resolve lintian warnings.
  * Confirm complicance with policy version 3.8.2.0
  * Add VCS-Git
  * Fix path for config.{sub,guess}

 -- Brian Pellin <bpellin@gmail.com>  Mon, 29 Jun 2009 22:48:42 -0500

pdsh (2.18-1) unstable; urgency=low

  * New upstream version
  * Update debian/compat from 4 to 7.  This shouldn't be a substative
    change.
  * Update debconf question to set pdsh.bin and pdcp.bin setuid, not /usr/bin/pdsh

 -- Brian Pellin <bpellin@gmail.com>  Sun, 12 Apr 2009 20:54:14 -0500

pdsh (2.17-1) unstable; urgency=low

  * New upstream version
  * Fixes ARG_MAX include (closes: #507216)
  * Add spanish translation from Francisco Javier Cuadrado (closes: #511919)
  * Change the behavior of /etc/pdsh/rcmd_default to make it act as a default
    for the PDSH_RCMD_TYPE environment variable instead of an override
    (closes: #494898)

 -- Brian Pellin <bpellin@gmail.com>  Sun, 15 Feb 2009 15:16:18 -0600

pdsh (2.16-1) unstable; urgency=low

  * New upstream version
  * Vefied compliance with Debian Standards Versions 3.8.0.0

 -- Brian Pellin <bpellin@gmail.com>  Sun, 29 Jun 2008 15:05:26 -0500

pdsh (2.14-2) unstable; urgency=low

  * Verified compliance with Debian Standards Version 3.7.3
  * Clean up lintian warnings.
  * pdsh no longer requires the /etc/genders file to exist when non-genders
    command line options are used.  Also, no error will be displayed due to
    a missing WCOLL file when a -w command line option is used
    (closes: #465542)

 -- Brian Pellin <bpellin@gmail.com>  Tue, 11 Mar 2008 20:17:00 -0500

pdsh (2.14-1) unstable; urgency=low

  * New upstream version
  * Include Dutch translations from Bart Cornelis (closes: #450979)
  * Include Portuguese translations from Traduz - Portuguese Translation 
    Team <traduz@debianpt.org> (closes: #433674)
  * Handle $DEB_BUILD_OPTIONS=nostrip properly (closes: #437764)

 -- Brian Pellin <bpellin@gmail.com>  Sun, 07 Oct 2007 19:38:01 -0500

pdsh (2.10-3) unstable; urgency=low

    * Updated Japanese translation from Hideki Yamane <henrich@debian.or.jp>
      (closes: #400143)
    * Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (closes: #408654)

 -- Brian Pellin <bpellin@pellin.net>  Sat, 27 Jan 2007 22:35:29 -0600

pdsh (2.10-2) unstable; urgency=low

    * Added Russian translation from Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #381179)
    * Added German translation Helge Kreutzmann <debian@helgefjell.de>
      (closes: #396763)

 -- Brian Pellin <bpellin@pellin.net>  Mon,  6 Nov 2006 21:52:07 -0600

pdsh (2.10-1) unstable; urgency=low

  * New upstream version
  * Verified that package complies with Standards Version 3.7.2
  * Removed .a and .la files from /usr/lib/pdsh (closes: #374722)
  * Provide a better method of selecting the default rcmd module
    (closes: #374602)

 -- Brian Pellin <bpellin@pellin.net>  Tue, 20 Jun 2006 19:10:01 -0500

pdsh (2.8.1-1-1) unstable; urgency=low

  * New upstream version 2.8.1-1
  * Small README.Debian edits
  * Update debconf templates to better conform to standards.
    (closes: #338107)
  * Update translations:
    (closes: #339713, closes: #341948)
  * Removed CVS directory to eliminate lintian warning.

 -- Brian Pellin <bpellin@pellin.net>  Sun, 26 Feb 2006 16:20:15 -0600

pdsh (2.8-1-1) unstable; urgency=low

  * New upstream version 2.8-1 (closes: #325889)
  * Added Swedish translation, from Daniel Nylander <yeager@lidkoping.net>
    (closes: #333172)
  * Removes Build-depends on automake1.6 (closes: #335142)
  * Changed dependance from ssh -> openssh-client (closes: #335491)
  * Fixes up po translations (closes: #337976)

 -- Brian Pellin <bpellin@pellin.net>  Sat, 22 Oct 2005 23:00:20 -0500

pdsh (1.7-6-10) unstable; urgency=low

  * Changed optimization level to -O2 to workaround gcc-4.0 bug #317475
    (closes: #325557)
  * Verified compliance with debian-policy 3.6.2

 -- Brian Pellin <bpellin@pellin.net>  Mon, 29 Aug 2005 14:53:42 -0500

pdsh (1.7-6-9) unstable; urgency=low

  * Fixed fuzzy japanese template, sorry this was open so long (closes: #281075)
  * Added Vietnamese translation (closes: #316805)

 -- Brian Pellin <bpellin@pellin.net>  Wed, 17 Aug 2005 21:37:03 -0500

pdsh (1.7-6-8) unstable; urgency=low

  * Updated copyright file
  * Added Build-Dep on autotools-dev, so package can always get newest
    config.sub
  * Fixed typo in debconf messages, and added Japanese translation from
    Hideki Yamane <henrich@samba.gr.jp> (closes: #281075)

 -- Brian Pellin <bpellin@pellin.net>  Thu, 18 Nov 2004 13:17:08 -0600

pdsh (1.7-6-7) unstable; urgency=low

  * Added Czech translations from Jan Outrata
    <outrataj@upcase.inf.upol.cz> (closes: #259183)

 -- Brian Pellin <bpellin@pellin.net>  Tue, 13 Jul 2004 09:18:34 -0500

pdsh (1.7-6-6) unstable; urgency=low

  * Fixed so that alternative settings will be preserved across updates
    (closes: #240798)

 -- Brian Pellin <bpellin@pellin.net>  Mon, 29 Mar 2004 15:17:46 -0600

pdsh (1.7-6-5) unstable; urgency=low

  * Added updated fr.po, patch from Michel Grentzinger 

