=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    CONFIG_FLAGS += --enable-debug
endif

config.status: configure 
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" 
	    ./configure --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--with-ssh \
			--with-genders \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
                        --infodir=\$${prefix}/share/info \
                        --without-included-ltdl \
                        $(CONFIG_FLAGS)


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	@if test -e $(CURDIR)/patch-stamp ; then \
	   for f in `find '$(PATCHDIR)' -type f -name *.patch -printf "%P\n" | sort -rn`;  do \
	      echo "reversing debian patch: $$f" ; \
	      patch -p1 -R < $(PATCHDIR)/$$f ; \
	   done; \
	fi

	rm -f *-stamp config/config.sub config/config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/pdsh.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pdsh

# Clean up directory
	rm -f $(CURDIR)/debian/pdsh/usr/lib/pdsh/*.a
	rm -f $(CURDIR)/debian/pdsh/usr/lib/pdsh/*.la
	rmdir $(CURDIR)/debian/pdsh/usr/sbin

# Install pdsh script
	mv $(CURDIR)/debian/pdsh/usr/bin/pdsh $(CURDIR)/debian/pdsh/usr/bin/pdsh.bin
	cp $(CURDIR)/debian/pdsh.script $(CURDIR)/debian/pdsh/usr/bin/pdsh
	chmod 755 $(CURDIR)/debian/pdsh/usr/bin/pdsh
	rm -f $(CURDIR)/debian/pdsh/usr/bin/pdcp
	cp $(CURDIR)/debian/pdcp.script $(CURDIR)/debian/pdsh/usr/bin/pdcp
	chmod 755 $(CURDIR)/debian/pdsh/usr/bin/pdcp
	rm -f $(CURDIR)/debian/pdsh/usr/bin/rpdcp
	cp $(CURDIR)/debian/rpdcp.script $(CURDIR)/debian/pdsh/usr/bin/rpdcp
	chmod 755 $(CURDIR)/debian/pdsh/usr/bin/rpdcp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch
