## pdsh 2.22

=== debian/changelog ===
pdsh (2.22-1) unstable; urgency=low

  * New upstream version.

 -- Brian Pellin <bpellin@debian.org>  Sun, 17 Apr 2011 20:11:16 -0500

pdsh (2.18-8) unstable; urgency=low

  * Drop broken runtime check for the genders library (closes: #598393)

 -- Brian Pellin <bpellin@debian.org>  Fri, 01 Oct 2010 19:49:13 -0500

pdsh (2.18-7) unstable; urgency=low

  * Fix genders module queries (closes: 594884)
  * Verify compliance with standards version 3.9.1

 -- Brian Pellin <bpellin@debian.org>  Wed, 08 Sep 2010 20:13:37 -0500
