=== debian/rules ===
--- 
+++ 
@@ -68,13 +68,6 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	@if test -e $(CURDIR)/patch-stamp ; then \
-	   for f in `find '$(PATCHDIR)' -type f -name *.patch -printf "%P\n" | sort -rn`;  do \
-	      echo "reversing debian patch: $$f" ; \
-	      patch -p1 -R < $(PATCHDIR)/$$f ; \
-	   done; \
-	fi
-
 	rm -f *-stamp config/config.sub config/config.guess
 
 	dh_clean 
@@ -140,4 +133,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install patch
+.PHONY: build clean binary-indep binary-arch binary install
