## pdsh 2.27

=== debian/changelog ===
pdsh (2.27-2) unstable; urgency=low

  * Danish translation from Joe Dalton (closes: #660542)

 -- Brian Pellin <bpellin@debian.org>  Wed, 09 May 2012 20:56:33 -0600

pdsh (2.27-1) unstable; urgency=low

  * New upstream version (closes: #641027)

 -- Brian Pellin <bpellin@debian.org>  Wed, 14 Sep 2011 21:53:20 -0600
