=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, libgenders0-dev (>= 1.3-4), libltdl3-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 VCS-Git: git://git.debian.org/git/collab-maint/pdsh.git
 
 Package: pdsh
