=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
                         --infodir=\$${prefix}/share/info \
-                        --without-included-ltdl \
+                        --enable-ltdl-install \
                         $(CONFIG_FLAGS)
 
 
@@ -105,7 +105,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 #	dh_install
