## pdsh 2.29

=== debian/changelog ===
pdsh (2.29-1) unstable; urgency=low

  * New upstream version (closes: #692833).

 -- Brian Pellin <bpellin@debian.org>  Wed, 08 May 2013 23:28:57 -0500
