## pdsh 2.31

=== debian/changelog ===
pdsh (2.31-3build1) wily; urgency=medium

  * No-change rebuild with current toolchain, correcting an unexplained
    misbuild during the bootstrap.  LP: #1452406.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 May 2015 12:17:42 -0700

pdsh (2.31-3) unstable; urgency=low

  * Add Italian translation (closes: #764088)
  * Verify compliance with 3.9.6 standards.

 -- Brian Pellin <bpellin@debian.org>  Sun, 26 Oct 2014 21:28:19 -0500

pdsh (2.31-2) unstable; urgency=low

  * Disable dshgroups support. It is exclusive of genders support.

 -- Brian Pellin <bpellin@debian.org>  Sun, 06 Jul 2014 12:24:29 -0500

pdsh (2.31-1) unstable; urgency=low

  * New upstream version.
  * Add dshgroups support.

 -- Brian Pellin <bpellin@debian.org>  Sat, 05 Jul 2014 21:14:28 -0500
