=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
 
 CFLAGS = -Wall -g
 
@@ -40,8 +39,7 @@
 
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS) -Wl,-z,defs" 
-	    ./configure --host=$(DEB_HOST_GNU_TYPE) \
-			--build=$(DEB_BUILD_GNU_TYPE) \
+	dh_auto_configure -- \
 			--with-ssh \
 			--with-genders \
 			--prefix=/usr \
@@ -51,13 +49,17 @@
                         $(CONFIG_FLAGS)
 
 
-build: build-stamp
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 
 build-stamp:  config.status
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	dh_auto_build
 
 	touch build-stamp
 
@@ -79,12 +81,14 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/pdsh.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/pdsh
+	dh_auto_install
 
 # Clean up directory
-	rm -f $(CURDIR)/debian/pdsh/usr/lib/pdsh/*.a
-	rm -f $(CURDIR)/debian/pdsh/usr/lib/pdsh/*.la
+	rm -f $(CURDIR)/debian/pdsh/usr/lib/**/pdsh/*.a
+	rm -f $(CURDIR)/debian/pdsh/usr/lib/**/pdsh/*.la
 	rmdir $(CURDIR)/debian/pdsh/usr/sbin
+
+
 
 # Install pdsh script
 	mv $(CURDIR)/debian/pdsh/usr/bin/pdsh $(CURDIR)/debian/pdsh/usr/bin/pdsh.bin
