## pdsh 2.34

=== debian/changelog ===
pdsh (2.34-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Workaround test failures by using modules symlinked into a temp dir.
    (Closes: #1022365).

 -- dann frazier <dannf@debian.org>  Sun, 27 Nov 2022 15:07:39 -0700

pdsh (2.34-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version:
    - ltdl has been replaced by dlopen upstream:
      + Drop d/p/ltdl.patch.
      + Remove build-dep on libltdl-dev.
    - d/rules: Drop obsolete install target cleanup.
    - d/docs: Update.
  * d/control: Update VCS-Git to point to new location on salsa.
  * Update debhelper compat to 13.
  * d/control: Replace deprecated Priority: extra with Priority: optional.
  * d/rules: Stop explicitly setting CFLAGS. Instead, rely on
    dpkg-buildflags settings which are verified to be a superset of the
    ones we were setting.
  * d/control: Drop build-depends on autotools-dev, no longer needed
    after debhelper compat 10.
  * d/p/configure-parse-changelog.patch: Detect upstream version from
    debian/changelog instead of assuming a git repo.
  * Bump Standards-Version to 4.6.1.0 after verifying compliance.

 -- dann frazier <dannf@debian.org>  Tue, 11 Oct 2022 08:24:01 -0600

pdsh (2.31-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable readline support (closes: #754936).
  * Updated Homepage URL (closes: #940539).
  * Add Brazilian Portuguese debconf templates translation, thanks to
    Adriano Rafael Gomes (closes: #811540).

 -- dann frazier <dannf@debian.org>  Wed, 10 Aug 2022 11:35:52 -0600
