=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: pdsh
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libgenders0-dev (>= 1.3-4), libltdl-dev
-Standards-Version: 3.9.6
-VCS-Git: git://git.debian.org/git/collab-maint/pdsh.git
+Build-Depends: debhelper-compat (= 13), libgenders0-dev (>= 1.3-4), libreadline-dev
+Standards-Version: 4.6.1.0
+VCS-Git: https://salsa.debian.org/bpellin/pdsh.git
 
 Package: pdsh
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, perl, rsh-client, openssh-client | ssh (<< 1:3.8.1p1-9), genders ( >= 1.4-1-1 )
-Homepage: https://computing.llnl.gov/linux/pdsh.html
+Homepage: https://software.llnl.gov/repo/#/chaos/pdsh
 Description: Efficient rsh-like utility, for using hosts in parallel
  Pdsh is a high-performance, parallel remote shell utility, similar to dsh. 
  It has built-in, thread-safe clients for rsh. Pdsh uses a "sliding window"
