=== debian/watch ===
version=3

opts="uversionmangle=s/$/-1/" \
http://sf.net/pdsh/pdsh-(.+)\.tar\.bz2
