## pdsh 2.35

=== debian/changelog ===
pdsh (2.35-3) unstable; urgency=medium

  * d/p/0001-Fix-build-on-C23-compiler-gcc-15.patch: Fix compiling issue
    with gcc >= 15. (Closes: #1114256)

 -- Arif Ali <arif.ali@canonical.com>  Mon, 15 Sep 2025 07:52:40 +0000

pdsh (2.35-2) unstable; urgency=medium
  * Disable tests during build (closes: #1102958)

 -- Brian Pellin <bpellin@debian.org>  Tue, 29 Apr 2025 22:33:00 -0600

pdsh (2.35-1) unstable; urgency=medium

  * New upstream Release.
  * lintian: Fix whitespaces in d/rules and d/changelog
  * lintian: Fix national-encoding issues in translations.
  * lintian: Fix some groff-message in man pages
  * wrap-and-sort debian files.
  * d/copyright: Convert to DEP-3 format, remove files that were mentioned
    in the old copyright as those files no longer exist.

 -- Arif Ali <arif.ali@canonical.com>  Tue, 22 Apr 2025 22:39:36 +0000

pdsh (2.34-3) unstable; urgency=medium

  * Remove rsh support since netkit-rsh is pending removal
    (closes: #1061251)

 -- Brian Pellin <bpellin@debian.org>  Sun, 21 Jan 2024 22:07:13 -0600

pdsh (2.34-2) unstable; urgency=medium

  * Fix changelog format (closes: #1050726)
  * Bump Standards-Version to 4.6.2 after verifying compliance.

 -- Brian Pellin <bpellin@debian.org>  Sun, 03 Sep 2023 21:30:35 -0500

pdsh (2.34-1) unstable; urgency=medium

  * Add Portuguese-Brazilian translation thanks to Paulo Henrique de Lima
    Santana (Closes: #1028216)
  * Add Recommends on ssh-askpass (Closes: #788312)

 -- Brian Pellin <bpellin@debian.org>  Sat, 19 Aug 2023 16:35:48 -0500
