=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,12 @@
 
 override_dh_auto_configure:
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS) -Wl,-z,defs" 
+	CFLAGS="$(CFLAGS) -Wl,-z,defs"
 	dh_auto_configure -- \
 			--with-ssh \
 			--with-genders \
 			--with-readline \
+			--without-rsh \
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
                         --infodir=\$${prefix}/share/info \
@@ -36,33 +37,6 @@
 
 MODULE_DIRS := src/modules/.libs tests/test-modules/.libs
 override_dh_auto_test:
-	# pdsh will refuse to load modules in subdirs not owned by either
-	# the building user or root, which causes many tests to fail on
-	# the builders (see #1022365). We workaround that by copying
-	# the module dirs to a temp directory and symlinking them into
-	# the build tree.
-
-	# dh_auto_test will do this, but we need to build them first
-	# so we can copy them to the tempdir
-	$(MAKE) -C tests/test-modules check
-
-	# Save a copy of the module dirs to restore later
-	tar -c $(MODULE_DIRS) > debian/module-dirs.tar
-
-	# Now replace module dirs with symlinks to tempdir counterparts
-	# and run the tests.
-	set -e; \
-	tmpdir=`mktemp -d`; \
-	(cd $$tmpdir && tar xv) < debian/module-dirs.tar; \
-	rm -rf $(MODULE_DIRS); \
-	for dir in $(MODULE_DIRS); do \
-		ln -s $$tmpdir/$$dir $$dir; \
-	done; \
-	dh_auto_test; \
-	rm -rf $$tmpdir
-
-	# Restore the module directories (replacing the symlinks)
-	tar xv < debian/module-dirs.tar
 
 override_dh_auto_install:
 	dh_auto_install
