=== debian/watch ===
# Using /releases because /tags can't be sorted chronologically
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/pdsh-@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
https://api.github.com/repos/chaos/pdsh/releases \
https://api.github.com/repos/chaos/pdsh/tarball/pdsh-@ANY_VERSION@ \
debian
